petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPView

Prints the KSP data structure.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPView(KSP ksp,PetscViewer viewer)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| viewer | - visualization context

### Options Database Keys

-ksp_view -print the ksp data structure at the end of a KSPSolve call

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### Keywords

KSP, view

### See Also

PCView(), PetscViewerASCIIOpen()

Level:beginner
Location:src/ksp/ksp/interface/itcreate.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex1f.F.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html